Use latest webOS SDK with Virtualbox 4.0 running on Ubuntu

HP does not allow the installation of the emulator in a VirtualBox running version 4.0+ because Oracle changed some APIs between 3.x and 4.x.

If you already have VirtualBox 4.0 installed, you have to follow these steps (do a backup of your VirtualBox configuration and virtual machines!):

# add non-free to VirtualBox source in /etc/apt/sources.list
sudo echo "deb http://download.virtualbox.org/virtualbox/debian maverick contrib non-free" >> /etc/apt/sources.list
sudo apt-get update
# replace virtualbox-4.0 by virtualbox-3.2
sudo apt-get install virtualbox-3.2
# install 320x400 VM
palm-emulator
# install 320x480 VM
palm-emulator
# finally replace virtualbox-3.2 by virtualbox-4.0
sudo apt-get install virtualbox-4.0